> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update API key label or IP whitelist



## OpenAPI

````yaml /openapi.json patch /api/v1/dashboard/api-keys/{id}
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/dashboard/api-keys/{id}:
    patch:
      tags:
        - Dashboard
      summary: Update API key label or IP whitelist
      operationId: DashboardController_updateApiKey
      parameters:
        - name: id
          required: true
          in: path
          description: API key ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateApiKeyDto'
      responses:
        '200':
          description: API key updated successfully.
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: The requested resource could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    UpdateApiKeyDto:
      type: object
      properties:
        label:
          type: string
          description: API key label
          example: Updated Mobile App Key
        ip_whitelist:
          description: IP whitelist
          example:
            - 192.168.1.1
            - 10.0.0.1
          type: array
          items:
            type: array
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````